Add 'openstack-db' tag to db-sync Exec resource

Bug #1755102 reported by zhongshengping on 2018-03-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
puppet-aodh
Undecided
zhongshengping
Pike
Wishlist
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-barbican
Undecided
zhongshengping
Pike
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-ceilometer
Undecided
zhongshengping
Pike
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-cinder
Undecided
zhongshengping
Pike
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-cloudkitty
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-congress
Undecided
zhongshengping
Pike
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-designate
Undecided
zhongshengping
Pike
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-ec2api
Undecided
zhongshengping
Pike
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-freezer
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-glance
Undecided
zhongshengping
Pike
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-glare
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-gnocchi
Undecided
zhongshengping
Pike
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-heat
Undecided
zhongshengping
Pike
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-ironic
Undecided
zhongshengping
Pike
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-keystone
Undecided
zhongshengping
Pike
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-magnum
Undecided
zhongshengping
Pike
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-manila
Undecided
zhongshengping
Pike
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-mistral
Undecided
zhongshengping
Pike
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-murano
Undecided
zhongshengping
Pike
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-neutron
Undecided
zhongshengping
Pike
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-nova
Undecided
zhongshengping
Pike
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-octavia
Undecided
zhongshengping
Pike
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-openstack-cookiecutter
Undecided
zhongshengping
puppet-panko
Undecided
zhongshengping
Pike
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-rally
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-tacker
Undecided
zhongshengping
Pike
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-trove
Undecided
zhongshengping
Pike
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-vitrage
Undecided
zhongshengping
Pike
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-watcher
Undecided
zhongshengping
Pike
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-zaqar
Undecided
zhongshengping
Pike
Undecided
zhongshengping
Queens
Undecided
zhongshengping
Rocky
Undecided
zhongshengping

Bug Description

In order to make easy orchestration on all OpenStack db-sync, add this
tag so people can use this tag in composition layer.
A use case it to set some orchestration to make sure MySQL Galera is
ready before running any Exec with this tag.

zhongshengping (chdzsp) on 2018-03-12
Changed in puppet-aodh:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-barbican:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-ceilometer:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-cinder:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-cloudkitty:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-congress:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-designate:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-ec2api:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-freezer:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-glance:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-glare:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-gnocchi:
assignee: nobody → zhongshengping (chdzsp)
zhongshengping (chdzsp) on 2018-03-12
Changed in puppet-heat:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-ironic:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-keystone:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-magnum:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-manila:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-mistral:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-murano:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-neutron:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-nova:
assignee: nobody → zhongshengping (chdzsp)
zhongshengping (chdzsp) on 2018-03-12
Changed in puppet-octavia:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-openstack-cookiecutter:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-panko:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-rally:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-tacker:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-trove:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-vitrage:
assignee: nobody → zhongshengping (chdzsp)
zhongshengping (chdzsp) on 2018-03-12
Changed in puppet-watcher:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-zaqar:
assignee: nobody → zhongshengping (chdzsp)

Fix proposed to branch: master
Review: https://review.openstack.org/551884

Changed in puppet-magnum:
status: New → In Progress
Changed in puppet-heat:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/551885

Changed in puppet-octavia:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/551886

Changed in puppet-glance:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/551887

Changed in puppet-mistral:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/551888

Changed in puppet-cinder:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/551890

Changed in puppet-ironic:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/551889

Changed in puppet-aodh:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/551892

Changed in puppet-keystone:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/551893

Changed in puppet-ceilometer:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/551894

Changed in puppet-gnocchi:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/551895

Changed in puppet-tacker:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/551896

Changed in puppet-rally:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/551898

Changed in puppet-zaqar:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/551897

Changed in puppet-neutron:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/551899

Changed in puppet-ec2api:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/551901

Changed in puppet-congress:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/551900

Changed in puppet-cloudkitty:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/551902

Changed in puppet-barbican:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/551903

Changed in puppet-glare:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/551904

Changed in puppet-vitrage:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/551905

Changed in puppet-murano:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/551906

Changed in puppet-panko:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/551907

Changed in puppet-trove:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/551908

Changed in puppet-designate:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/551909

Changed in puppet-manila:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/551910

Changed in puppet-watcher:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/551911

Changed in puppet-freezer:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/551912

Changed in puppet-nova:
status: New → In Progress
zhongshengping (chdzsp) on 2018-03-12
Changed in puppet-openstack-cookiecutter:
status: New → In Progress

Reviewed: https://review.openstack.org/551884
Committed: https://git.openstack.org/cgit/openstack/puppet-magnum/commit/?id=f9dd363bc203ef0d76dc6a9cc213c6d9a689bc3b
Submitter: Zuul
Branch: master

commit f9dd363bc203ef0d76dc6a9cc213c6d9a689bc3b
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:08 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I632ec1cfcbe6085e27fa215d5d2efdeb625b736a
    Closes-Bug: #1755102

Changed in puppet-magnum:
status: In Progress → Fix Released
Changed in puppet-octavia:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/551886
Committed: https://git.openstack.org/cgit/openstack/puppet-octavia/commit/?id=fd3b9d66811350242615f900437f3aba29bc1d9a
Submitter: Zuul
Branch: master

commit fd3b9d66811350242615f900437f3aba29bc1d9a
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:09 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: Idfcbaa2d137c91a464fb5d49ae25fa348c67d642
    Closes-Bug: #1755102

Reviewed: https://review.openstack.org/551892
Committed: https://git.openstack.org/cgit/openstack/puppet-aodh/commit/?id=d4113232558e9cb7a385a812e31453d36086b5ef
Submitter: Zuul
Branch: master

commit d4113232558e9cb7a385a812e31453d36086b5ef
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:05 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I8215df855b260b9421df121d136be2e77eab1346
    Closes-Bug: #1755102

Changed in puppet-aodh:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/551894
Committed: https://git.openstack.org/cgit/openstack/puppet-ceilometer/commit/?id=bdbf6614e1fe5f78e58786498956815e48890a27
Submitter: Zuul
Branch: master

commit bdbf6614e1fe5f78e58786498956815e48890a27
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:06 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I79c078e5945c45090cdb53959f3e87d2d7e18081
    Closes-Bug: #1755102

Changed in puppet-ceilometer:
status: In Progress → Fix Released
Changed in puppet-glance:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/551887
Committed: https://git.openstack.org/cgit/openstack/puppet-glance/commit/?id=e3b9d19cbf318a7b9f9d356894d2264544dd93fe
Submitter: Zuul
Branch: master

commit e3b9d19cbf318a7b9f9d356894d2264544dd93fe
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:07 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I0a7d0859d2052e5a8b4805e82e4370057bedf0b2
    Closes-Bug: #1755102

Changed in puppet-neutron:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/551899
Committed: https://git.openstack.org/cgit/openstack/puppet-neutron/commit/?id=51dd0b90ef1bd18307fc198aaac296c4c2897b7e
Submitter: Zuul
Branch: master

commit 51dd0b90ef1bd18307fc198aaac296c4c2897b7e
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:09 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I2c215acfbfda9b6a8db88f4ab37db8ef911ea17e
    Closes-Bug: #1755102

Changed in puppet-panko:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/551907
Committed: https://git.openstack.org/cgit/openstack/puppet-panko/commit/?id=eafc8877c8c6bfeb9256a2feca4936a0f5efa663
Submitter: Zuul
Branch: master

commit eafc8877c8c6bfeb9256a2feca4936a0f5efa663
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:10 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: If20095a8a38b4f8dfccb9b75eb2f02f5d6d6e57b
    Closes-Bug: #1755102

Changed in puppet-heat:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/551885
Committed: https://git.openstack.org/cgit/openstack/puppet-heat/commit/?id=635bbc2a475c9b9b12a625abaf24a6081ee2e92e
Submitter: Zuul
Branch: master

commit 635bbc2a475c9b9b12a625abaf24a6081ee2e92e
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:08 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I869ed64d19d82c64d6370a6b42c3016087f5760d
    Closes-Bug: #1755102

Reviewed: https://review.openstack.org/551895
Committed: https://git.openstack.org/cgit/openstack/puppet-gnocchi/commit/?id=d595457836a82a20b18573b085b166d396bdba1a
Submitter: Zuul
Branch: master

commit d595457836a82a20b18573b085b166d396bdba1a
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:07 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I800fd9a00ddf7e7ca0ebd54c9d203cf04477aa3b
    Closes-Bug: #1755102

Changed in puppet-gnocchi:
status: In Progress → Fix Released
Changed in puppet-nova:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/551913
Committed: https://git.openstack.org/cgit/openstack/puppet-nova/commit/?id=45b3c8cfa1f8ed4ab80204d9c0e3fb9af95fb306
Submitter: Zuul
Branch: master

commit 45b3c8cfa1f8ed4ab80204d9c0e3fb9af95fb306
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:09 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I2df5ae03c13b7bde00621a8b208e7204b4747713
    Closes-Bug: #1755102

Changed in puppet-cinder:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/551890
Committed: https://git.openstack.org/cgit/openstack/puppet-cinder/commit/?id=9e31a4071d77b18489952edf1de0a5c4c64c5d64
Submitter: Zuul
Branch: master

commit 9e31a4071d77b18489952edf1de0a5c4c64c5d64
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:06 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: Ia87f89e0c6d01400548623d9b67641e72673309c
    Closes-Bug: #1755102

Changed in puppet-glare:
status: In Progress → Fix Released
Changed in puppet-rally:
status: In Progress → Fix Released
Changed in puppet-freezer:
status: In Progress → Fix Released
Changed in puppet-cloudkitty:
status: In Progress → Fix Released
Changed in puppet-congress:
status: In Progress → Fix Released
Changed in puppet-tacker:
status: In Progress → Fix Released
Changed in puppet-murano:
status: In Progress → Fix Released
Changed in puppet-manila:
status: In Progress → Fix Released
Changed in puppet-watcher:
status: In Progress → Fix Released
Changed in puppet-trove:
status: In Progress → Fix Released
Changed in puppet-ec2api:
status: In Progress → Fix Released
Changed in puppet-zaqar:
status: In Progress → Fix Released
Changed in puppet-barbican:
status: In Progress → Fix Released
Changed in puppet-designate:
status: In Progress → Fix Released
zhongshengping (chdzsp) on 2018-03-14
Changed in puppet-openstack-cookiecutter:
status: In Progress → Fix Released
Changed in puppet-vitrage:
status: In Progress → Fix Released
Changed in puppet-mistral:
status: In Progress → Fix Released
Changed in puppet-keystone:
status: In Progress → Fix Released
Changed in puppet-ironic:
status: In Progress → Fix Released
117 comments hidden view all 197 comments

Reviewed: https://review.openstack.org/609870
Committed: https://git.openstack.org/cgit/openstack/puppet-ironic/commit/?id=23e7fa0382c6c8c70d4a1114b2b6ad3bc82905b1
Submitter: Zuul
Branch: stable/pike

commit 23e7fa0382c6c8c70d4a1114b2b6ad3bc82905b1
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:08 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: If6394558b373f85e61840f538a3e2e1105cfe98c
    Closes-Bug: #1755102
    (cherry picked from commit 1f694ff1a42282b62c2330ea7f1e6b421ec43f51)

Reviewed: https://review.openstack.org/609869
Committed: https://git.openstack.org/cgit/openstack/puppet-ironic/commit/?id=665b4f8fa24980d5570490829a2c2aed155139e4
Submitter: Zuul
Branch: stable/queens

commit 665b4f8fa24980d5570490829a2c2aed155139e4
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:08 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: If6394558b373f85e61840f538a3e2e1105cfe98c
    Closes-Bug: #1755102
    (cherry picked from commit 1f694ff1a42282b62c2330ea7f1e6b421ec43f51)

Reviewed: https://review.openstack.org/609880
Committed: https://git.openstack.org/cgit/openstack/puppet-murano/commit/?id=382395f88f5ad50179818faa70d99e6cf6b7d32d
Submitter: Zuul
Branch: stable/pike

commit 382395f88f5ad50179818faa70d99e6cf6b7d32d
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:09 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: Ic7eeccc651d8b9f8c7884e6cfc765c3d4adb650c
    Closes-Bug: #1755102
    (cherry picked from commit 75732ff4e3ad36935c090a9440e118e48115bcb6)

Reviewed: https://review.openstack.org/609873
Committed: https://git.openstack.org/cgit/openstack/puppet-magnum/commit/?id=e9d4892c5ac75debfe04998abef774abc115f87c
Submitter: Zuul
Branch: stable/queens

commit e9d4892c5ac75debfe04998abef774abc115f87c
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:08 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I632ec1cfcbe6085e27fa215d5d2efdeb625b736a
    Closes-Bug: #1755102
    (cherry picked from commit f9dd363bc203ef0d76dc6a9cc213c6d9a689bc3b)

Reviewed: https://review.openstack.org/609879
Committed: https://git.openstack.org/cgit/openstack/puppet-murano/commit/?id=288c484415d33ad0dfa7fc2b2b7180c43e8f5ec9
Submitter: Zuul
Branch: stable/queens

commit 288c484415d33ad0dfa7fc2b2b7180c43e8f5ec9
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:09 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: Ic7eeccc651d8b9f8c7884e6cfc765c3d4adb650c
    Closes-Bug: #1755102
    (cherry picked from commit 75732ff4e3ad36935c090a9440e118e48115bcb6)

Reviewed: https://review.openstack.org/609874
Committed: https://git.openstack.org/cgit/openstack/puppet-magnum/commit/?id=cd303e7e3b017123fd9a22d40744c54235ddb7e0
Submitter: Zuul
Branch: stable/pike

commit cd303e7e3b017123fd9a22d40744c54235ddb7e0
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:08 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I632ec1cfcbe6085e27fa215d5d2efdeb625b736a
    Closes-Bug: #1755102
    (cherry picked from commit f9dd363bc203ef0d76dc6a9cc213c6d9a689bc3b)

Reviewed: https://review.openstack.org/609889
Committed: https://git.openstack.org/cgit/openstack/puppet-rally/commit/?id=52c068a02cb2c8f94728a043591aad34cc3359bb
Submitter: Zuul
Branch: stable/queens

commit 52c068a02cb2c8f94728a043591aad34cc3359bb
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:10 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I1eac69a6d62e38efe7705e637a54095c0a120ebb
    Closes-Bug: #1755102
    (cherry picked from commit bf2fb7dbe2072f40d4e58e3114dfd89a740eba1b)

Reviewed: https://review.openstack.org/609885
Committed: https://git.openstack.org/cgit/openstack/puppet-octavia/commit/?id=263f8cb46a3b6eebbdb97bf5a3ea29fa8c36532b
Submitter: Zuul
Branch: stable/queens

commit 263f8cb46a3b6eebbdb97bf5a3ea29fa8c36532b
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:09 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: Idfcbaa2d137c91a464fb5d49ae25fa348c67d642
    Closes-Bug: #1755102
    (cherry picked from commit fd3b9d66811350242615f900437f3aba29bc1d9a)

Reviewed: https://review.openstack.org/609886
Committed: https://git.openstack.org/cgit/openstack/puppet-octavia/commit/?id=46ce06ad2ed8c9b11a38f7be008c2a8128818022
Submitter: Zuul
Branch: stable/pike

commit 46ce06ad2ed8c9b11a38f7be008c2a8128818022
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:09 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: Idfcbaa2d137c91a464fb5d49ae25fa348c67d642
    Closes-Bug: #1755102
    (cherry picked from commit fd3b9d66811350242615f900437f3aba29bc1d9a)

Reviewed: https://review.openstack.org/609891
Committed: https://git.openstack.org/cgit/openstack/puppet-tacker/commit/?id=38e2efa801ea13c731c0a85ca750c614a9af913e
Submitter: Zuul
Branch: stable/pike

commit 38e2efa801ea13c731c0a85ca750c614a9af913e
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:10 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: Ie7026a1b3f62b68a0e971f2ed3a683226eb657ef
    Closes-Bug: #1755102
    (cherry picked from commit 8fab8ebfe4d55225782975d09b31467b20c7de20)

Reviewed: https://review.openstack.org/609890
Committed: https://git.openstack.org/cgit/openstack/puppet-tacker/commit/?id=72205675edf285ff7d922ad8b1386e5a93e5dd99
Submitter: Zuul
Branch: stable/queens

commit 72205675edf285ff7d922ad8b1386e5a93e5dd99
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:10 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: Ie7026a1b3f62b68a0e971f2ed3a683226eb657ef
    Closes-Bug: #1755102
    (cherry picked from commit 8fab8ebfe4d55225782975d09b31467b20c7de20)

Reviewed: https://review.openstack.org/609897
Committed: https://git.openstack.org/cgit/openstack/puppet-watcher/commit/?id=e254d902b14c583f7f993b2f84cbd4c16726ad30
Submitter: Zuul
Branch: stable/pike

commit e254d902b14c583f7f993b2f84cbd4c16726ad30
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:11 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I41a7eb38176781bffc16c6886a3de9f855036fbc
    Closes-Bug: #1755102
    (cherry picked from commit 15dc6f8d4e6dd088fdb785ccb75aa80b0b489635)

Reviewed: https://review.openstack.org/609876
Committed: https://git.openstack.org/cgit/openstack/puppet-manila/commit/?id=011d623a50fa02bbc4f3e41f21ffdaa7ee55e1b5
Submitter: Zuul
Branch: stable/pike

commit 011d623a50fa02bbc4f3e41f21ffdaa7ee55e1b5
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:08 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I4e520669894ae44b6fe29db5f4c5e87ed4e2c9b6
    Closes-Bug: #1755102
    (cherry picked from commit 627b5a1ba40439c7cc924883cf359404ae03697b)

Reviewed: https://review.openstack.org/609875
Committed: https://git.openstack.org/cgit/openstack/puppet-manila/commit/?id=e8b5a984ec762735991a01539f8d031391c27e3d
Submitter: Zuul
Branch: stable/queens

commit e8b5a984ec762735991a01539f8d031391c27e3d
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:08 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I4e520669894ae44b6fe29db5f4c5e87ed4e2c9b6
    Closes-Bug: #1755102
    (cherry picked from commit 627b5a1ba40439c7cc924883cf359404ae03697b)

Reviewed: https://review.openstack.org/609900
Committed: https://git.openstack.org/cgit/openstack/puppet-zaqar/commit/?id=8cc1068afb3cb9837a46e9d6f1e4ee0a13f13bb1
Submitter: Zuul
Branch: stable/pike

commit 8cc1068afb3cb9837a46e9d6f1e4ee0a13f13bb1
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:11 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I468f796bc344f91510e977dd07cfd563174c66dd
    Closes-Bug: #1755102
    (cherry picked from commit d2891b9670d41c97c3f8d31e0e2971c72167616d)

Reviewed: https://review.openstack.org/609894
Committed: https://git.openstack.org/cgit/openstack/puppet-vitrage/commit/?id=30d0768de2dbad005240fe90179beb7943a22873
Submitter: Zuul
Branch: stable/queens

commit 30d0768de2dbad005240fe90179beb7943a22873
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:10 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I86811c7e3c38106eb9ed45180970344e060ed7e7
    Closes-Bug: #1755102
    (cherry picked from commit ca291e7ee9766989cb1ec89f992206e68882325c)

Reviewed: https://review.openstack.org/609892
Committed: https://git.openstack.org/cgit/openstack/puppet-trove/commit/?id=83f0baaccd415e6041d36bd1ed34c10bdaefec98
Submitter: Zuul
Branch: stable/queens

commit 83f0baaccd415e6041d36bd1ed34c10bdaefec98
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:10 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I7baded10a128532f7267903fa8d14f576cd9f47a
    Closes-Bug: #1755102
    (cherry picked from commit 90863dce616038131cd05b221aa3d28c81604d9a)

Reviewed: https://review.openstack.org/609877
Committed: https://git.openstack.org/cgit/openstack/puppet-mistral/commit/?id=dcfb0d345f2f8ec90db4cc74932b6bfac09da633
Submitter: Zuul
Branch: stable/queens

commit dcfb0d345f2f8ec90db4cc74932b6bfac09da633
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:09 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I0769f75d92e87d686387286041502261fad871e7
    Closes-Bug: #1755102
    (cherry picked from commit f5078648eaec8954d4210c4c834c42495298998b)

Reviewed: https://review.openstack.org/609896
Committed: https://git.openstack.org/cgit/openstack/puppet-watcher/commit/?id=4553bc04056daecd73b3cb3cca323585b14b5f96
Submitter: Zuul
Branch: stable/queens

commit 4553bc04056daecd73b3cb3cca323585b14b5f96
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:11 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I41a7eb38176781bffc16c6886a3de9f855036fbc
    Closes-Bug: #1755102
    (cherry picked from commit 15dc6f8d4e6dd088fdb785ccb75aa80b0b489635)

Reviewed: https://review.openstack.org/609872
Committed: https://git.openstack.org/cgit/openstack/puppet-keystone/commit/?id=e5b3c5f1d75fbf68b64be35f3b07f4278bd41fb1
Submitter: Zuul
Branch: stable/pike

commit e5b3c5f1d75fbf68b64be35f3b07f4278bd41fb1
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:08 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: Icd2700fe8c27a647dab8d91a4f9c20eda930b4e1
    Closes-Bug: #1755102
    (cherry picked from commit b563459e379ec17954feac1d613ab67e826fdba5)

Reviewed: https://review.openstack.org/609867
Committed: https://git.openstack.org/cgit/openstack/puppet-heat/commit/?id=43daae6d38562b38e70c85ae041e73b0dda93ab7
Submitter: Zuul
Branch: stable/queens

commit 43daae6d38562b38e70c85ae041e73b0dda93ab7
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:08 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I869ed64d19d82c64d6370a6b42c3016087f5760d
    Closes-Bug: #1755102
    (cherry picked from commit 635bbc2a475c9b9b12a625abaf24a6081ee2e92e)

Reviewed: https://review.openstack.org/609898
Committed: https://git.openstack.org/cgit/openstack/puppet-zaqar/commit/?id=9e580908c940a7dc5b1e878070652a61248d0fd2
Submitter: Zuul
Branch: stable/queens

commit 9e580908c940a7dc5b1e878070652a61248d0fd2
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:11 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I468f796bc344f91510e977dd07cfd563174c66dd
    Closes-Bug: #1755102
    (cherry picked from commit d2891b9670d41c97c3f8d31e0e2971c72167616d)

Reviewed: https://review.openstack.org/609895
Committed: https://git.openstack.org/cgit/openstack/puppet-vitrage/commit/?id=433ca06749f709ed240d8edba313c3d70309e4cf
Submitter: Zuul
Branch: stable/pike

commit 433ca06749f709ed240d8edba313c3d70309e4cf
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:10 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I86811c7e3c38106eb9ed45180970344e060ed7e7
    Closes-Bug: #1755102
    (cherry picked from commit ca291e7ee9766989cb1ec89f992206e68882325c)

Reviewed: https://review.openstack.org/609893
Committed: https://git.openstack.org/cgit/openstack/puppet-trove/commit/?id=f6c18d56532fb33af7e1841af6717a181b941812
Submitter: Zuul
Branch: stable/pike

commit f6c18d56532fb33af7e1841af6717a181b941812
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:10 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I7baded10a128532f7267903fa8d14f576cd9f47a
    Closes-Bug: #1755102
    (cherry picked from commit 90863dce616038131cd05b221aa3d28c81604d9a)

Reviewed: https://review.openstack.org/609871
Committed: https://git.openstack.org/cgit/openstack/puppet-keystone/commit/?id=d8181add51a4dd4a78c75b239fef072c949321e2
Submitter: Zuul
Branch: stable/queens

commit d8181add51a4dd4a78c75b239fef072c949321e2
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:08 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: Icd2700fe8c27a647dab8d91a4f9c20eda930b4e1
    Closes-Bug: #1755102
    (cherry picked from commit b563459e379ec17954feac1d613ab67e826fdba5)

Reviewed: https://review.openstack.org/609884
Committed: https://git.openstack.org/cgit/openstack/puppet-nova/commit/?id=aa0ee2903bd9029853a4ee77782a01fe857a3545
Submitter: Zuul
Branch: stable/pike

commit aa0ee2903bd9029853a4ee77782a01fe857a3545
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:09 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I2df5ae03c13b7bde00621a8b208e7204b4747713
    Closes-Bug: #1755102
    (cherry picked from commit 45b3c8cfa1f8ed4ab80204d9c0e3fb9af95fb306)

Reviewed: https://review.openstack.org/609883
Committed: https://git.openstack.org/cgit/openstack/puppet-nova/commit/?id=aa6fb68a89722dbdd5364fd504a61125f7beb1ff
Submitter: Zuul
Branch: stable/queens

commit aa6fb68a89722dbdd5364fd504a61125f7beb1ff
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:09 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I2df5ae03c13b7bde00621a8b208e7204b4747713
    Closes-Bug: #1755102
    (cherry picked from commit 45b3c8cfa1f8ed4ab80204d9c0e3fb9af95fb306)

Reviewed: https://review.openstack.org/609878
Committed: https://git.openstack.org/cgit/openstack/puppet-mistral/commit/?id=b99381c7c948a3bcc6075354e036c55d26d7c688
Submitter: Zuul
Branch: stable/pike

commit b99381c7c948a3bcc6075354e036c55d26d7c688
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:09 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I0769f75d92e87d686387286041502261fad871e7
    Closes-Bug: #1755102
    (cherry picked from commit f5078648eaec8954d4210c4c834c42495298998b)

Reviewed: https://review.openstack.org/609882
Committed: https://git.openstack.org/cgit/openstack/puppet-neutron/commit/?id=c5fb34cc98c5b373e6b5e6654459d095aff76013
Submitter: Zuul
Branch: stable/pike

commit c5fb34cc98c5b373e6b5e6654459d095aff76013
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:09 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I2c215acfbfda9b6a8db88f4ab37db8ef911ea17e
    Closes-Bug: #1755102
    (cherry picked from commit 51dd0b90ef1bd18307fc198aaac296c4c2897b7e)

Reviewed: https://review.openstack.org/609881
Committed: https://git.openstack.org/cgit/openstack/puppet-neutron/commit/?id=5be74c5ce47905cb854ee91f258ef4d9960f398a
Submitter: Zuul
Branch: stable/queens

commit 5be74c5ce47905cb854ee91f258ef4d9960f398a
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:09 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I2c215acfbfda9b6a8db88f4ab37db8ef911ea17e
    Closes-Bug: #1755102
    (cherry picked from commit 51dd0b90ef1bd18307fc198aaac296c4c2897b7e)

Reviewed: https://review.openstack.org/609868
Committed: https://git.openstack.org/cgit/openstack/puppet-heat/commit/?id=f0b67716129237bb47ab63efe0a484a50d183bcd
Submitter: Zuul
Branch: stable/pike

commit f0b67716129237bb47ab63efe0a484a50d183bcd
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:08 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: I869ed64d19d82c64d6370a6b42c3016087f5760d
    Closes-Bug: #1755102
    (cherry picked from commit 635bbc2a475c9b9b12a625abaf24a6081ee2e92e)

Reviewed: https://review.openstack.org/609887
Committed: https://git.openstack.org/cgit/openstack/puppet-panko/commit/?id=b57a505d4dbe836d115a0e0b60877e85fe6d7a91
Submitter: Zuul
Branch: stable/queens

commit b57a505d4dbe836d115a0e0b60877e85fe6d7a91
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:10 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: If20095a8a38b4f8dfccb9b75eb2f02f5d6d6e57b
    Closes-Bug: #1755102
    (cherry picked from commit eafc8877c8c6bfeb9256a2feca4936a0f5efa663)

Reviewed: https://review.openstack.org/609888
Committed: https://git.openstack.org/cgit/openstack/puppet-panko/commit/?id=994de29dfa22aa18578d4efe7ca56b255073928c
Submitter: Zuul
Branch: stable/pike

commit 994de29dfa22aa18578d4efe7ca56b255073928c
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 12 16:33:10 2018 +0800

    Add 'openstack-db' tag to db-sync Exec resource

    In order to make easy orchestration on all OpenStack db-sync, add this
    tag so people can use this tag in composition layer.
    A use case it to set some orchestration to make sure MySQL Galera is
    ready before running any Exec with this tag.

    Change-Id: If20095a8a38b4f8dfccb9b75eb2f02f5d6d6e57b
    Closes-Bug: #1755102
    (cherry picked from commit eafc8877c8c6bfeb9256a2feca4936a0f5efa663)

zhongshengping (chdzsp) on 2018-10-15
Changed in puppet-aodh:
status: Fix Released → Fix Committed

This issue was fixed in the openstack/puppet-cinder 12.4.1 release.

This issue was fixed in the openstack/puppet-neutron 12.4.1 release.

Displaying first 40 and last 40 comments. View all 197 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers